<?php

/*

    GTPhoto2 - A multi user photo album
    Copyright (C) 2004-2006 Chris Kloosterman

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

function show_captcha() {

	# clear the saved captcha info
	$_SESSION["captcha"] = array();

	# save the right/upside-down parameters
	for ($i = 0; $i < 9; $i++) {
		if (mt_rand(0,100) < 50) {
			$_SESSION["captcha"]["up"][$i] = 1;
		} else {
			$_SESSION["captcha"]["up"][$i] = 0;
		}
		$_SESSION["captcha"]["id"][$i] = mt_rand(0,10000000);
	}

	echo ("<p>Please click the animals that are upright from the following set of pictures.</p>");

	echo ("<table><tr>");
	for ($i = 0; $i < 9; $i++) {
		if ($i % 3 == 0 && $i != 0) {
			echo ("</tr><tr>");
		}
		echo ("<td><a href=\"javascript:ajax('captcha','id', $i)\"><img src=\"captcha.php?id=$i&rand=".$_SESSION["captcha"]["id"][$i]."\" /></a></td>");
	}
	echo ("</tr></table>");

	echo ("<div id=\"cap_results\">You have not selected any pictures</div>");

}

function validate_captcha() {

	global $errors;

	for ($i = 0; $i < 9; $i++) {
		if ($_SESSION["captcha"]["up"][$i] != $_SESSION["captcha"]["selected"][$i]) {
			$errors[] = "You must select the upright animals";
			break;
		}
	}

}

?>
