<?php

# this script stores all of the global variables for the site

# database constants
define('READ_DATABASE_SERVER', "(read_db_host)");
define('READ_DATABASE_USER', "(read_db_user)");
define('READ_DATABASE_PASSWORD', "(read_db_password)");

define('WRITE_DATABASE_SERVER', "(write_db_host)");
define('WRITE_DATABASE_USER', "(write_db_user)");
define('WRITE_DATABASE_PASSWORD', "(write_db_password)");

define('DEFAULT_DATABASE', "framework");

# change to mysql if you're using PHP4 and/or MySQL < 4.1
define('DATABASE_TYPE', "mysqli");

# ldap specific parameters
#define('LDAP_SERVER', "(ldap server)");
#define('LDAP_UID', "(ldap bind uid)");
#define('LDAP_PASSWORD', "(ldap bind password)");
#define('LDAP_SEARCH_BASE', "(ldap search base)");

# are we debugging?
define('DEBUG', 0);

# site modifiers
define('IS_PRODUCTION', false);
define('DO_CACHING', true);
define('READ_ONLY_MODE', false);

# puke stuff
define('PUKE_EMAIL', "(your_email_addr)");
define('PUKE_FROM', "(some_email_addr)");
define('EMAIL_AUTO_FROM', "(some_email_addr)");

# authentication levels
define('AUTH_ADMIN', 99);
define('AUTH_USER', 1);

global $standard_types;
$standard_types = array(AUTH_USER);

define('FRAMEWORK_LOG_ERROR', 10);
define('FRAMEWORK_LOG_WARN', 20);
define('FRAMEWORK_LOG_NOTICE', 30);
define('FRAMEWORK_LOG_INFO', 40);
define('FRAMEWORK_LOG_DEBUG', 50);

define('FRAMEWORK_LOG_LEVEL', FRAMEWORK_LOG_INFO);

# the modules to use
# Login Module - which method to use to login
# possibilities:
# - db.php: via database
# - ldap.php: via ldap
define('MODULE_LOGIN', "db.php");

# computer builder stuff
define('PAYPAL_ACCOUNT', "kloostec@gavintech.com");

# the error handling arrays
global $errors;
global $warnings;
global $successes;
$errors = array();
$warnings = array();
$successes = array();

# here are paths to dynamically import classes from
global $class_dirs;
$class_dirs = array("./framework/classes");

# here are paths to dynamically import rpc functionality from
global $rpc_dirs;
$rpc_dirs = array("./framework/rpc");

# should we allow signups
define('ALLOW_SIGNUP', 1);

# should we disable AJAX?
define('NO_AJAX_SIDEBAR', 0);
#define('NO_AJAX_PAGINATE', 1);

# font for GD images
define('GD_FONT', "framework/fonts/arial.ttf");

# change to syslog to log to the system log
define('LOG_TYPE', "database");

?>
