<?php

/* Print a list of computer_part_categories */

function computer_part_category_dropdown($name, $default="") {
	$SQL = "SELECT name, computer_part_category_id FROM computer_part_category ORDER BY sort_order";
	$result = sql_query_read($SQL);
	while ($row = sql_fetch_array($result)) {
		$option = array();
		$option["id"] = $row["computer_part_category_id"];
		$option["name"] = $row["name"];
		$options[] = $option;
	}
	dropdown($name, $options, $default);
}

function computer_price($part_ids) {
	$price = computer_raw_price($part_ids);
	$price += MACHINES_SHIPPING_RATE;
	$price *= 1 + MACHINES_TAX_RATE;
	$price += MACHINES_TIP_RATE;
	$price = round($price, 2);
	
	$price = number_format($price, 2, ".", "");

	return $price;
}

function computer_raw_price($part_ids) {
	$SQL = "SELECT SUM(price) as price FROM computer_part WHERE computer_part_id IN (".join(",",$part_ids).")";
	$result = sql_query_read($SQL);
	$row = sql_fetch_array($result);
	
	return ($row["price"]);
}

function computer_price_difference($part1, $part2) {
	$SQL = "SELECT price FROM computer_part WHERE computer_part_id = $part1";
	$result = sql_query_read($SQL);
	$row = sql_fetch_array($result);
	$SQL = "SELECT price FROM computer_part WHERE computer_part_id = $part2";
	$result2 = sql_query_read($SQL);
	$row2 = sql_fetch_array($result2);

	$difference = $row["price"] - $row2["price"];
	$difference *= 1 + MACHINES_TAX_RATE;

	$difference = round($difference, 2);

	if ($difference < 0) {
		return (" (subtract $".number_format((-1*$difference), 2, ".", "").")");
	} else {
		return (" (add $".number_format($difference, 2, ".", "").")");
	}

}

?>
